
Hammer CLI - Feature #2978

Add CSV output to the list commands

08/28/2013 03:03 PM - Martin Bacovsky

Status: Resolved   

Priority: Normal   

Assignee: Martin Bacovsky   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

hammer --csv host list

--csv-delimiter=DELIMITER option would be useful

Sam suggests --spaces-only as a shortcut for --csv --csv-delimiter=' '

Related issues:

Related to Foreman - Feature #1359: export to csv, excel Closed 11/28/2011

Related to Foreman - Feature #1222: API enhancement Closed 10/12/2011

Associated revisions

Revision 90a3720f - 10/04/2013 07:45 AM - Martin Bacovsky

fixes #2978 - Add CSV output to the list commands

Revision 68aeaf7d - 10/04/2013 08:48 AM - Martin Bacovsky

fixes #2978 - Add CSV output to the list commands

Revision 3339a6bf - 10/07/2013 02:47 PM - Martin Bacovsky

Merge pull request #40 from mbacovsky/2978_csv

fixes #2978 - Add CSV output to the list commands

Revision 33dfe699 - 10/07/2013 03:04 PM - mbacovsky 

Merge pull request #30 from mbacovsky/2978_csv

fixes #2978 - Add CSV output to the list commands

History

#1 - 09/23/2013 09:41 AM - Martin Bacovsky

- Category set to 44

- Assignee set to Martin Bacovsky

#2 - 09/26/2013 02:50 PM - Martin Bacovsky

- Status changed from New to Assigned

#3 - 10/07/2013 03:20 PM - Martin Bacovsky

- Status changed from Assigned to Resolved

Fixed in https://github.com/theforeman/hammer-cli-foreman/pull/30 and https://github.com/theforeman/hammer-cli/pull/40
https://github.com/theforeman/hammer-cli-foreman/pull/30
https://github.com/theforeman/hammer-cli/pull/40


#4 - 10/16/2013 04:13 PM - Dominic Cleal

- Project changed from Foreman to Hammer CLI

- Category deleted (44)

#5 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #1359: export to csv, excel added

#6 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #1222: API enhancement added
